summaryrefslogtreecommitdiff
path: root/libraries/ebook-tools
diff options
context:
space:
mode:
authorHeinz Wiesinger <HMWiesinger@gmx.at>2010-05-11 22:53:59 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-11 22:53:59 +0200
commitf76aedc6b1dcccf778ccf8161b761cc688156dce (patch)
tree5cc7cd1d761023da575291400ef58800c53f62fc /libraries/ebook-tools
parent901c59a1b7a7f974038163874552251de9c61624 (diff)
downloadslackbuilds-f76aedc6b1dcccf778ccf8161b761cc688156dce.tar.gz
libraries/ebook-tools: Added to 12.1 repository
Diffstat (limited to 'libraries/ebook-tools')
-rw-r--r--libraries/ebook-tools/README5
-rw-r--r--libraries/ebook-tools/ebook-tools.SlackBuild79
-rw-r--r--libraries/ebook-tools/ebook-tools.info8
-rw-r--r--libraries/ebook-tools/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/libraries/ebook-tools/README b/libraries/ebook-tools/README
new file mode 100644
index 0000000000..82b8c0ecdc
--- /dev/null
+++ b/libraries/ebook-tools/README
@@ -0,0 +1,5 @@
+This package includes utilities for a better ebook-handling
+ebook-tools: as well as libepub.
+
+ebook-tools requires libzip, which is also available from
+SlackBuilds.org. \ No newline at end of file
diff --git a/libraries/ebook-tools/ebook-tools.SlackBuild b/libraries/ebook-tools/ebook-tools.SlackBuild
new file mode 100644
index 0000000000..eeb68c7e33
--- /dev/null
+++ b/libraries/ebook-tools/ebook-tools.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for ebook-tools
+
+# Copyright 2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ebook-tools
+VERSION=0.1.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ ..
+ make
+ make install DESTDIR=$PKG
+cd -
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL LICENSE README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/ebook-tools/ebook-tools.info b/libraries/ebook-tools/ebook-tools.info
new file mode 100644
index 0000000000..dcd6f08770
--- /dev/null
+++ b/libraries/ebook-tools/ebook-tools.info
@@ -0,0 +1,8 @@
+PRGNAM="ebook-tools"
+VERSION="0.1.1"
+HOMEPAGE="http://www.sourceforge.net/projects/ebook-tools"
+DOWNLOAD="http://downloads.sourceforge.net/ebook-tools/ebook-tools-0.1.1.tar.gz"
+MD5SUM="15946af6f946eabe8247cdef9ada2b88"
+MAINTAINER="ppr:kut"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="rworkman"
diff --git a/libraries/ebook-tools/slack-desc b/libraries/ebook-tools/slack-desc
new file mode 100644
index 0000000000..04fde01685
--- /dev/null
+++ b/libraries/ebook-tools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+ebook-tools: ebook-tools (utilities for a better ebook-handling)
+ebook-tools:
+ebook-tools: This package includes utilities for a better ebook-handling
+ebook-tools: as well as libepub.
+ebook-tools:
+ebook-tools: Homepage: http://www.sourceforge.net/projects/ebook-tools
+ebook-tools:
+ebook-tools:
+ebook-tools:
+ebook-tools:
+ebook-tools: